%define anolis_release 5

Name:           libyaml
Version:        0.2.5
Release:        %{anolis_release}%{?dist}
Summary:        A C library for parsing and emitting YAML

License:        MIT
URL:        http://pyyaml.org/
Source0:    http://pyyaml.org/download/libyaml/yaml-%{version}.tar.gz

Patch0:     fix-heap-buffer-overflow-in-yaml_emitter_emit_flow_m.patch
Patch1:     backport-CVE-2024-3205-Fix-emitter-states-handling-when-write_indicator-fails.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires:  libtool
BuildRequires:  make

%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages.  LibYAML is a YAML parser and
emitter written in C.


%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:   Development files for LibYAML applications
Requires:  libyaml = %{EVR}
Requires:  pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use LibYAML.

%prep
%autosetup -n yaml-%{version} -p1

%build
%configure
%make_build all html

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.{la,a}

soname=$(readelf -d %{buildroot}%{_libdir}/libyaml.so | awk '$2 == "(SONAME)" {print $NF}' | tr -d '[]')
rm -f %{buildroot}%{_libdir}/libyaml.so
echo "INPUT($soname)" > %{buildroot}%{_libdir}/libyaml.so

%generate_compatibility_deps

%check
make check

%files
%license License
%dir %{abidir}
%{_libdir}/%{name}*.so.*
%{abidir}/%{name}*.dump

%files doc
%doc ReadMe.md Changes

%files devel
%doc doc/html
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/yaml-0.1.pc
%{_includedir}/yaml.h

%changelog
* Thu Nov 14 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 0.2.5-5
- generate_compatibility_deps should not in check stage

* Thu May 30 2024 hezhongkun <hezhongkun@inspur.com> - 0.2.5-4
- Fix heap buffer overflow in yaml_emitter_emit_flow_sequence_item
- Fix CVE-2024-3205  

* Mon Mar 13 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.2.5-3
- optimize spec

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.2.5-2
- add doc package

* Tue Mar 08 2022 mahailiang <mahailiang@uniontech.com> - 0.2.5-1
- Init from upstream version 0.2.5

